## q2-diversity-lib 2021.8.0

=== Makefile ===
.PHONY: all lint test test-cov install dev uninstall-dev clean distclean

PYTHON ?= python

all: ;

lint:
	flake8

test: all
	py.test

test-cov: all
	py.test --cov-report=term-missing --cov=q2_diversity_lib

install:
	$(PYTHON) setup.py install

dev: all
	pip install -e .

uninstall-dev:
	pip uninstall q2-diversity-lib

clean: distclean

distclean: ;

=== debian/changelog ===
q2-diversity-lib (2021.8.0-1) unstable; urgency=medium

  * Team upload.
  * Initial release (Closes: #992104).

 -- Andreas Tille <tille@debian.org>  Tue, 16 Nov 2021 08:15:08 +0100

=== debian/control ===
Source: q2-diversity-lib
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Steffen Moeller <moeller@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-python,
               python3,
               python3-setuptools,
               python3-nose <!nocheck>,
               python3-statsmodels <!nocheck>,
               python3-unifrac <!nocheck>,
               qiime (>= 2021.8.0) <!nocheck>
Standards-Version: 4.6.0
Vcs-Browser: https://salsa.debian.org/med-team/q2-diversity-lib
Vcs-Git: https://salsa.debian.org/med-team/q2-diversity-lib.git
Homepage: https://qiime2.org/
Rules-Requires-Root: no

Package: q2-diversity-lib
Architecture: all
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${python3:Depends},
         python3-pandas,
         qiime (>= 2021.8.0),
         q2-emperor,
         q2-feature-table,
         r-base-core,
         r-cran-vegan,
         python3-statsmodels,
         python3-unifrac
Description: QIIME2 plugin to expose diversity metrics/measures as actions
 QIIME 2 is a powerful, extensible, and decentralized microbiome analysis
 package with a focus on data and analysis transparency. QIIME 2 enables
 researchers to start an analysis with raw DNA sequence data and finish with
 publication-quality figures and statistical results.
 Key features:
  * Integrated and automatic tracking of data provenance
  * Semantic type system
  * Plugin system for extending microbiome analysis functionality
  * Support for multiple types of user interfaces (e.g. API, command line,
 graphical)
 .
 QIIME 2 is a complete redesign and rewrite of the QIIME 1 microbiome analysis
 pipeline. QIIME 2 will address many of the limitations of QIIME 1, while
 retaining the features that makes QIIME 1 a powerful and widely-used analysis
 pipeline.
 .
 QIIME 2 currently supports an initial end-to-end microbiome analysis pipeline.
 New functionality will regularly become available through QIIME 2 plugins. You
 can view a list of plugins that are currently available on the QIIME 2 plugin
 availability page. The future plugins page lists plugins that are being
 developed.

## q2-diversity-lib 2022.11.1

=== debian/changelog ===
q2-diversity-lib (2022.11.1-2) unstable; urgency=medium

  * Team upload
  * Upload to unstable

 -- Andreas Tille <tille@debian.org>  Tue, 24 Jan 2023 18:46:15 +0100

q2-diversity-lib (2022.11.1-1) experimental; urgency=medium

  * Team upload.
  * New upstream version
  * Bump versioned Depends

 -- Andreas Tille <tille@debian.org>  Fri, 13 Jan 2023 12:35:17 +0100

q2-diversity-lib (2022.8.0-3) unstable; urgency=high

  * Team Upload.
  * Add Depends on python3-sklearn
  * Bump Standards-Version to 4.6.2 (no changes needed)

 -- Nilesh Patra <nilesh@debian.org>  Fri, 06 Jan 2023 08:30:25 +0530

q2-diversity-lib (2022.8.0-2) unstable; urgency=medium

  [ Andreas Tille ]
  * Team upload.
  * Depends: s/libssu-tools/unifrac-tools/
    Closes: #1021542
  * Versioned (Build-)Depends: python3-unifrac (>= 1.1.1)

 -- Nilesh Patra <nilesh@debian.org>  Tue, 27 Dec 2022 12:07:19 +0530

q2-diversity-lib (2022.8.0-1) unstable; urgency=medium

  * Team Upload.
  * New upstream version 2022.8.0
  * Updated dependency on qiime/q2-* >= 2022.8.0
  * Replace B-D on nose with pytest (Closes: #1018607)
  * Depends on libssu-tools

 -- Nilesh Patra <nilesh@debian.org>  Tue, 06 Sep 2022 18:05:20 +0530

q2-diversity-lib (2021.8.0-2) unstable; urgency=medium

  * Team upload.
  * Hint to /usr/share/common-licenses/CC0-1.0

 -- Andreas Tille <tille@debian.org>  Wed, 17 Nov 2021 12:10:54 +0100

=== debian/control ===
--- 
+++ 
@@ -7,11 +7,11 @@
                dh-python,
                python3,
                python3-setuptools,
-               python3-nose <!nocheck>,
+               python3-pytest <!nocheck>,
                python3-statsmodels <!nocheck>,
                python3-unifrac <!nocheck>,
-               qiime (>= 2021.8.0) <!nocheck>
-Standards-Version: 4.6.0
+               qiime (>= 2022.11.1) <!nocheck>
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/med-team/q2-diversity-lib
 Vcs-Git: https://salsa.debian.org/med-team/q2-diversity-lib.git
 Homepage: https://qiime2.org/
@@ -23,13 +23,15 @@
          ${misc:Depends},
          ${python3:Depends},
          python3-pandas,
-         qiime (>= 2021.8.0),
-         q2-emperor,
-         q2-feature-table,
+         python3-sklearn,
+         qiime (>= 2022.11.1),
+         q2-emperor (>= 2022.11.1),
+         q2-feature-table (>= 2022.11.1),
          r-base-core,
          r-cran-vegan,
          python3-statsmodels,
-         python3-unifrac
+         python3-unifrac,
+         unifrac-tools
 Description: QIIME2 plugin to expose diversity metrics/measures as actions
  QIIME 2 is a powerful, extensible, and decentralized microbiome analysis
  package with a focus on data and analysis transparency. QIIME 2 enables

=== debian/rules ===
#!/usr/bin/make -f

DH_VERBOSE := 1
export LC_ALL=C.UTF-8

# For testing, we need .egg-info so the entry points are available.
export PYBUILD_BEFORE_TEST=python{version} setup.py develop --install-dir {build_dir}
# Delete .egg-info and other files that were generated along with .egg-info
export PYBUILD_BEFORE_INSTALL=rm -rvf {build_dir}/q2-diversity-lib.egg-* \
	{build_dir}/site.py {build_dir}/.coverage* {build_dir}/easy-install.pth


%:
	dh $@ --with python3 --buildsystem=pybuild

#FIXME: Delaying true testing to autopkgtests since QIIME2 module cannot be registered
#       at build time.
override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	dh_auto_test -- -s custom --test-args="cd {build_dir}; PYTHONPATH=`pwd` py.test-3 --cov=q2-diversity-lib" || true
endif

override_dh_auto_clean:
	dh_auto_clean
	rm -rf q2_diversity_lib.egg-info

## q2-diversity-lib 2024.5.0

=== Makefile ===
--- 
+++ 
@@ -5,6 +5,7 @@
 all: ;
 
 lint:
+	q2lint
 	flake8
 
 test: all

=== debian/changelog ===
q2-diversity-lib (2024.5.0-1ubuntu2) oracular; urgency=medium

  * Rebuild against new qiime with python3.12 tests enabled.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 11 Jul 2024 08:37:20 +0200

q2-diversity-lib (2024.5.0-1ubuntu1) oracular; urgency=medium

  * Enable again building for Python 3.12

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 10 Jul 2024 15:05:58 +0200

q2-diversity-lib (2024.5.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Regenerate debian/control from debian/control.in (routine-update)
  * d/patches/configparser.patch: copy from qiime packaging
  * Only build for Python 3.11 until upstream catches up with Python
    3.12.
  * d/control: require newer python3-skbio version to fix
     "AttributeError: module 'skbio.diversity.alpha' has no attribute 'sobs'"

 -- Michael R. Crusoe <crusoe@debian.org>  Sat, 29 Jun 2024 17:54:11 +0200

q2-diversity-lib (2024.2.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Regenerate debian/control from debian/control.in (routine-update)
  * Autopkgtest for all supported Python3 versions

 -- Andreas Tille <tille@debian.org>  Sun, 18 Feb 2024 14:40:12 +0100

q2-diversity-lib (2023.9.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Generate debian/control automatically to refresh version number
  * Build-Depends: s/dh-python/dh-sequence-python3/ (routine-update)
  * Regenerate debian/control from debian/control.in (routine-update)

 -- Andreas Tille <tille@debian.org>  Tue, 30 Jan 2024 16:23:13 +0100

q2-diversity-lib (2023.7.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Étienne Mollier <emollier@debian.org>  Sun, 20 Aug 2023 14:35:31 +0200

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,17 @@
+# This file is autogenerated from control.in to update versioned dependencies
 Source: q2-diversity-lib
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: Steffen Moeller <moeller@debian.org>
 Section: science
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
-               dh-python,
-               python3,
+               dh-sequence-python3,
+               python3-all,
                python3-setuptools,
                python3-pytest <!nocheck>,
                python3-statsmodels <!nocheck>,
                python3-unifrac <!nocheck>,
-               qiime (>= 2022.11.1) <!nocheck>
+               qiime (>= 2024.5) <!nocheck>
 Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/med-team/q2-diversity-lib
 Vcs-Git: https://salsa.debian.org/med-team/q2-diversity-lib.git
@@ -24,14 +25,15 @@
          ${python3:Depends},
          python3-pandas,
          python3-sklearn,
-         qiime (>= 2022.11.1),
-         q2-emperor (>= 2022.11.1),
-         q2-feature-table (>= 2022.11.1),
+         qiime (>= 2024.5),
+         q2-emperor (>= 2024.5),
+         q2-feature-table (>= 2024.5),
          r-base-core,
          r-cran-vegan,
          python3-statsmodels,
          python3-unifrac,
-         unifrac-tools
+         unifrac-tools,
+         python3-skbio (>= 0.6)
 Description: QIIME2 plugin to expose diversity metrics/measures as actions
  QIIME 2 is a powerful, extensible, and decentralized microbiome analysis
  package with a focus on data and analysis transparency. QIIME 2 enables

=== debian/rules ===
--- 
+++ 
@@ -2,6 +2,8 @@
 
 DH_VERBOSE := 1
 export LC_ALL=C.UTF-8
+
+#export PYBUILD_DISABLE=python3.12
 
 # For testing, we need .egg-info so the entry points are available.
 export PYBUILD_BEFORE_TEST=python{version} setup.py develop --install-dir {build_dir}
@@ -9,9 +11,15 @@
 export PYBUILD_BEFORE_INSTALL=rm -rvf {build_dir}/q2-diversity-lib.egg-* \
 	{build_dir}/site.py {build_dir}/.coverage* {build_dir}/easy-install.pth
 
+include /usr/share/dpkg/default.mk
+VERSION_UPSTREAM=$(shell echo $(DEB_VERSION_UPSTREAM) | sed -e 's/\(20[0-9][0-9]\.[0-9]\+\)\..*/\1/')
+
+debian/control: debian/control.in
+	echo "# This file is autogenerated from control.in to update versioned dependencies" > $@
+	sed -e"s/@DEB_VERSION_UPSTREAM@/$(VERSION_UPSTREAM)/g" $< >> $@
 
 %:
-	dh $@ --with python3 --buildsystem=pybuild
+	dh $@ --buildsystem=pybuild
 
 #FIXME: Delaying true testing to autopkgtests since QIIME2 module cannot be registered
 #       at build time.

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%" \
	https://github.com/qiime2/q2-diversity-lib/tags (?:.*?/)?v?(\d[\d.]*)\.tar\.gz
